//********************************
//* Shaders for bsh/*.* textures *
//* Changed by [bsh]thrasher     *
//* 23 shaders		         *
//********************************

textures/bsh/confllrtile2pad 
{ 
	{ 
		map textures/base_wall/chrome_env.tga 
		tcGen environment 
		tcmod scale .25 .25 
	}  
	{ 
		map textures/bsh/confllrtile2pad.tga 
		blendFunc blend	 
	} 
	{ 
		map $lightmap 
		blendfunc filter
	}     
}

textures/bsh/drkmtlsupport_light
{ 
	surfaceparm nomarks 
	q3map_surfacelight 1000 
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/bsh/drkmtlsupport_light.tga 
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{ 
		map textures/bsh/drkmtlsupport_light_glow.tga 
		rgbGen wave sin 0.5 0.5 1 .5   
		blendfunc GL_ONE GL_ONE 
	} 

}

textures/bsh/mtltekfloor
{ 
	 
	q3map_surfacelight 100
	q3map_lightimage textures/bsh/mtltekfloor_fx.tga     
	{ 
		map textures/base_wall/chrome_env.tga  
	        rgbGen identity 
		tcGen environment 
		tcmod scale .25 .25 
	} 
	 
	{ 
		map textures/bsh/mtltekfloor.tga  
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	 
		rgbGen identity 
	} 
	{ 
		map $lightmap 
		blendfunc gl_dst_color gl_zero 
		rgbGen identity 
	}     
	{ 
		map textures/bsh/mtltekfloor_fx.tga 
		blendFunc GL_ONE GL_ONE 
		rgbGen wave sin 0.5 0.5 0 .2 
	} 
	{ 
		map textures/bsh/mtltekfloor_fx2.tga 
		blendFunc GL_ONE GL_ONE 
		//rgbGen wave sin 0.5 0.5 0 .2 
	} 
}

textures/bsh/launchbleu
{
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/bsh/launchbleu.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/bsh/launchligne.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	
	         {	
			map textures/bsh/launcheff.tga		
			blendfunc gl_src_alpha gl_one	
			tcmod scroll 0 2
			rgbgen wave square 0 1 0 2
			alphagen wave square 0 1 .1 2
		}

}

textures/bsh/nunuk-wallblue_weap
{    
     surfaceparm	metalsteps	   
        
        {
		map textures/sfx/proto_zzztblu2.tga
                tcMod turb 0 .5 0 9.6
                tcmod scale 2 2
                tcmod scroll 9 5
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
		map textures/bsh/nunuk-wallblue_weap.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/bsh/nunuk-wallgrey_weap
{    
     surfaceparm	metalsteps	   
        
        {
		map textures/sfx/proto_zzztblu2.tga
                tcMod turb 0 .5 0 9.6
                tcmod scale 2 2
                tcmod scroll 9 5
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
		map textures/bsh/nunuk-wallgrey_weap.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/bsh/bsh_logo
{
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}

	{	
		map textures/bsh/launcheff1.tga		
		blendFunc GL_ONE GL_ZERO
		tcmod scroll 0 2
		rgbgen wave square 0 1 0 2
		alphagen wave square 0 1 .1 2
	}

	{ 
		map textures/bsh/bsh_logo.tga
		rgbGen identity
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

}

textures/bsh/redstrip_glow_lt1
{
	qer_editorimage textures/bsh/redstrip_glow_lt1.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 1000
	q3map_lightimage textures/bsh/redstrip_glow_lt1.tga
	{
		map textures/bsh/redstrip_lt1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/bsh/redstrip_glow_lt1.tga
		rgbGen wave sin 0.5 0.5 1 .5
		blendfunc GL_ONE GL_ONE
	}
}

textures/bsh/y_strip_lt
{
	qer_editorimage textures/bsh/y_strip_lt.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 500
	q3map_lightimage textures/bsh/y_strip_lt_glow.tga
	{
		map textures/bsh/y_strip_lt.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/bsh/y_strip_lt_glow.tga
		rgbGen wave sin 0.5 0.5 1 .5
		blendfunc GL_ONE GL_ONE
	}
}

textures/bsh/bluestrip_lt1
{
	qer_editorimage textures/bsh/bluestrip_lt1.tga
	surfaceparm nomarks
	surfaceparm nodlight
	q3map_surfacelight 500
	q3map_lightimage textures/bsh/bluestrip_glow_lt1.tga
	{
		map textures/bsh/bluestrip_lt1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/bsh/bluestrip_glow_lt1.tga
		rgbGen wave sin 0.5 0.5 1 .5
		blendfunc GL_ONE GL_ONE
	}
}

textures/bsh/redlight_off

{
        {
                map textures/bsh/redlight_off.tga
                //rgbGen vertex
        }
        {
		
		map textures/bsh/redlight_on.tga
		rgbGen lightingDiffuse
                rgbGen wave triangle 0 1 0 .5
		blendfunc gl_ONE gl_ONE 		
	}
}

//**********************************
//   		GLASS    
//**********************************
//      Make sure you have the 3 glass textures in baseq3/textures/glass/ or this will not work.
//	darkglass.tga, blueglass.tga, plainglass.tga
//	MISC Glass types
// 	Best way to make glass is to create a brush with the NODRAW texture on all sides, then to select the face you want to
//	have the glass on and apply it.  The glass is viewable from both sides of the brush. 



//	Blue, bright glass.  Light swirl pattern to it.

textures/bsh/blueglass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/bsh/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
                }
}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 

textures/bsh/darkglass
                      {
                      qer_trans .5
                      surfaceparm trans
		      surfaceparm solid

                      cull disable
                      {
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
                      }
                      {
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
                      }
                      }

// 	Plain glass.

textures/bsh/plainglass
{
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/bsh/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
                }
}

//Created by Louie "KnightBK" Doulias for Black Knights Productions, Prisoners of War Q3 Mod.  

textures/bsh/black_track
{
		q3map_lightimage textures/sfx/scrolllight2.tga
		q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/bsh/black_track.jpg
		blendfunc gl_dst_color gl_zero
		rgbGen identity
		
	}

        {    
      	        Map textures/bsh/track_glow.tga
      	        blendFunc GL_ONE GL_ONE
                tcmod scroll 0 2
        }	
	
//	        {	
//			map textures/bsh/track_glow.jpg		
//			blendfunc gl_src_alpha gl_one	
//			tcmod scroll 0 2
//			rgbgen wave square 0 1 0 2
//			alphagen wave square 0 1 .1 2
//		}

}

textures/bsh/e_grate5a
{
	qer_editorimage textures/bsh/e_grate5a.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{
		map textures/bsh/e_grate5a.tga
		tcMod scale 2 2
		blendFunc gl_one gl_zero
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc gl_dst_color gl_zero
		depthFunc equal
	}
}

textures/bsh/runway
{
	q3map_lightimage textures/bsh/runway_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/bsh/runway_glow.tga
		tcmod scale 1 .25
		rgbgen wave square -1 2 .5 8
		tcmod scroll 0 .5
	}	

	{
		map textures/bsh/runway.tga
		blendFunc blend
		rgbGen identity
	}
        
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}

	{
		map textures/bsh/runwayb.tga
		blendFunc add
		rgbGen identity
	}

	
}
textures/bsh/null
{       
    {
	map textures/bsh/null.tga
        blendFunc GL_ONE GL_ONE
    }
         
}
